cancel
Showing results for 
Search instead for 
Did you mean: 

Possible to run ReadyAPI 2.5 with guava version > 23

SOLVED
Highlighted
Occasional Contributor

Possible to run ReadyAPI 2.5 with guava version > 23

Hi.

I can see that there is a guava.jar library in the lib directory for ReadyAPI 2.5 (guava-20.0.jar). I would like to start ReadyAPI 2.5 with a newer version of this lib.

Unfortunatelly, when I try to change the jar file to a newer version - ReadyAPI won't start.

My question: is it possible to run ReadyAPI 2.5 with a newer version of guava.jar? If so, how could this be achieved?

 

Thanks in advance.

/Ronald

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted
Community Manager

Re: Possible to run ReadyAPI 2.5 with guava version > 23

Our general advice would be - keeping ReadyAPI updated to avoid such issues. Is there a particular reason you don't want to update the tool? 2.5 is quite outdated. The new version is ReadyAPI 3.4.5.


Sonya Mihaljova
Community and Education Specialist

Did my reply answer your question? Give Kudos or Accept it as a Solution to help others. ⬇️⬇️⬇️

View solution in original post

2 REPLIES 2
Highlighted
Community Manager

Re: Possible to run ReadyAPI 2.5 with guava version > 23

Our general advice would be - keeping ReadyAPI updated to avoid such issues. Is there a particular reason you don't want to update the tool? 2.5 is quite outdated. The new version is ReadyAPI 3.4.5.


Sonya Mihaljova
Community and Education Specialist

Did my reply answer your question? Give Kudos or Accept it as a Solution to help others. ⬇️⬇️⬇️

View solution in original post

Highlighted
Occasional Contributor

Re: Possible to run ReadyAPI 2.5 with guava version > 23

Thanks Sonya.

I solved the issue by upgrading to 2.8.2. There one can find a newer gauva version (28.0).

Regarding your question while I hestitate to upgrade - I run a lot of groovy scripts with ReadyAPI. My experience with ReadyAPI 3.3.1 is that it take quite a while (2- 3 min) to get a script running. Hence, I'll rather stay with 2.x. 

 

Best regards,

Ronald

New Here?
Join us and watch the welcome video:
Announcements
Top Kudoed Authors